> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Groups

> List synced external groups.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /scim/v2/Groups
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /scim/v2/Groups:
    get:
      tags:
        - scim
      summary: List Groups
      description: List synced external groups.
      operationId: scim-list_groups
      parameters:
        - name: filter
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Filter
        - name: startIndex
          in: query
          required: false
          schema:
            type: integer
            default: 1
            title: Startindex
        - name: count
          in: query
          required: false
          schema:
            type: integer
            default: 100
            title: Count
      responses:
        '200':
          description: Successful Response
          content:
            application/scim+json:
              schema:
                $ref: '#/components/schemas/ScimListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - ScimConnectionBearer: []
components:
  schemas:
    ScimListResponse:
      properties:
        schemas:
          items:
            type: string
          type: array
          title: Schemas
        totalResults:
          type: integer
          title: Totalresults
        startIndex:
          type: integer
          title: Startindex
        itemsPerPage:
          type: integer
          title: Itemsperpage
        Resources:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Resources
      type: object
      required:
        - totalResults
        - startIndex
        - itemsPerPage
      title: ScimListResponse
      description: The envelope every SCIM query returns, paginated 1-based.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ScimConnectionBearer:
      type: http
      description: Tracecat SCIM connection token.
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.